WordPress.org

Ready to get started?Download WordPress

Plugin Directory

geeSearch Plus, improved WordPress search

Extends WordPress search engine to taxonomies, custom fields and media, sorts results by relevance or date, and more. Simple and clean!

geeSearch Plus extends the WordPress search engine without messing with the database, sorts results by relevance (or date), and more.

New Features (since 1.4)

  • Extend search to Media

New Features (since 1.3)

  • Order results by Relevance or by Date
  • Define matching rules: at least one search term (OR query) or require all terms (AND query)
  • Define your own highlight style (CSS class: gee-search-highlight)
  • i18n ready

Features

  • Searches through all the posts, pages and custom post types, by title and content
  • Extends search to all custom taxonomies, category and tags
  • Extends search to custom fields
  • Highlights searched terms (optional)
  • Limit highlight feature to specific html elements
  • Removes stopwords from search query (merged with native WordPress stopwords mechanism)
  • Integrates the stopwords mechanism with Stella multi-language plugin, by removing the current language stopwords from the search query

Very easy to use and setup! No new database tables or complex configurations. geeSearch Plus uses only WordPress' APIs and functions! Simple and Clean!

Tired of complex plugins to improve the default WordPress search?

geeSearch Plus plugin improves WordPress' default mechanism by searching through custom taxonomies (including category and tags), custom fields and since version 1.4 it also searches through media. It orders the results by date or relevance, calculating the search words hits through the title and content, taxonomies, custom fields and media of each post.

This plugin also includes a stopwords mechanism to remove the non-relevant words from the query, thus increasing the relevance of the results. Stopwords can be defined manually (using the settings page) or by using the default files provided with the plugin package.

Available translations

  • Portuguese

Notes

  • This release is compatible with multisite single blog installation
  • This release is compatible with all WordPress versions since 3.5. If you are still using an older one, upgrade your WordPress NOW!

Requires: 3.5 or higher
Compatible up to: 3.9
Last Updated: 2014-4-19
Downloads: 4,594

Ratings

4 stars
4.6 out of 5 stars

Support

1 of 1 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,2,2 100,1,1
100,2,2 100,1,1
50,2,1 100,1,1 100,2,2
100,1,1 100,1,1
100,1,1
100,1,1 100,1,1
100,1,1 100,1,1
100,1,1